{
  "format_version": "1.10.0",
  "animations": {
    "animation.silverlabs_nat.player.butterfly_wings_idle": {
      "loop": "hold_on_last_frame",
      "bones": {
        "cape": {
          "scale": "! q.is_item_name_any('slot.armor.chest', 'silverlabs_nat:butterfly_wings' )"
        }
      }
    },
    "animation.silverlabs_nat.player.butterfly_wings_state": {
      "animation_length": 0.05
    },
    "animation.silverlabs_nat.player.set_butterfly_wings_flying": {
      "animation_length": 0.1,
      "timeline": {
        "0.0": "v.silverlabs_nat_butterfly_wings_flying = 1;"
      }
    },
    "animation.silverlabs_nat.player.set_butterfly_wings_idle": {
      "animation_length": 0.1,
      "timeline": {
        "0.0": "v.silverlabs_nat_butterfly_wings_flying = 0;"
      }
    },
    "animation.silverlabs_nat.player.set_butterfly_wings_moving": {
      "animation_length": 0.1,
      "timeline": {
        "0.0": "v.silverlabs_nat_butterfly_wings_moving = 1;"
      }
    },
    "animation.silverlabs_nat.player.set_butterfly_wings_not_moving": {
      "animation_length": 0.1,
      "timeline": {
        "0.0": "v.silverlabs_nat_butterfly_wings_moving = 0;"
      }
    },
    "animation.silverlabs_nat.player.butterfly_wings_fly": {
      "loop": true,
      "bones": {
        "root": {
          "rotation": [
            "! v.is_first_person ? q.target_x_rotation + 45",
            "q.target_y_rotation * -0.5",
            "-q.target_y_rotation * 1.5"
          ]
        },
        "cape": {
          "scale": 0
        },
        "leftarm": {
          "rotation": [
            "! v.is_first_person ? v.tcos0 / 2",
            0,
            0
          ]
        },
        "rightarm": {
          "rotation": [
            "! v.is_first_person ? - v.tcos0 / 2",
            0,
            0
          ]
        },
        "leftleg": {
          "rotation": [
            "-v.tcos0 * -1.4 / 2",
            0,
            0
          ]
        },
        "rightleg": {
          "rotation": [
            "-v.tcos0 * 1.4 / 2",
            0,
            0
          ]
        }
      }
    }
  }
}
